- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_PSDL_Abstract_Storagehome_Body Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Abstract_Storagehome_Body:

[legend]
Collaboration diagram for TAO_PSDL_Abstract_Storagehome_Body:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Abstract_Storagehome_Body ()
| ****************************************************************
| TAO_PSDL_Abstract_Storagehome_Body (TAO_PSDL_Node *abs_storagehome_member)
| TAO_PSDL_Abstract_Storagehome_Body (TAO_PSDL_Node *abs_storagehome_member, TAO_PSDL_Node *abs_storagehome_body)
virtual | ~TAO_PSDL_Abstract_Storagehome_Body (void)
TAO_PSDL_Node * | abs_storagehome_member (void) const
| Get the value.
TAO_PSDL_Node * | abs_storagehome_body (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | abs_storagehome_member_
| The values.
TAO_PSDL_Node * | abs_storagehome_body_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Abstract_Storagehome_Body::TAO_PSDL_Abstract_Storagehome_Body | ( |  | ) |

****************************************************************

TAO_PSDL_Abstract_Storagehome_Body::TAO_PSDL_Abstract_Storagehome_Body | ( | TAO_PSDL_Node * | abs_storagehome_member | ) |

TAO_PSDL_Abstract_Storagehome_Body::TAO_PSDL_Abstract_Storagehome_Body | ( | TAO_PSDL_Node * | abs_storagehome_member,
|  | TAO_PSDL_Node * | abs_storagehome_body |
| ) |  |  |

TAO_PSDL_Abstract_Storagehome_Body::~TAO_PSDL_Abstract_Storagehome_Body | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagehome_Body::abs_storagehome_body | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagehome_Body::abs_storagehome_member | ( | void |  | ) | const

Get the value.

int TAO_PSDL_Abstract_Storagehome_Body::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

= The Node methods.

Implements TAO_PSDL_Node.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagehome_Body::abs_storagehome_body_`[private]`

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagehome_Body::abs_storagehome_member_`[private]`

The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp